commit 1824320592efed5d36df8646ec125e6eef7cdebb
Author: Christophe Lyon <christophe.lyon@linaro.org>
Date:   Fri Aug 28 07:56:51 2020 +0000

    testsuite: Run gcc.dg/pr96579.c only on targets with dfp support.
    
    gcc.dg/pr96579.c includes gcc.dg/pr96370.c which needs target dfp.
    
    2020-08-28  Christophe Lyon  <christophe.lyon@linaro.org>
    
            gcc/testsuite/
            * gcc.dg/pr96579.c: Compile only with target dfp.
    
    (cherry picked from commit 3ba43155d2b27978589b2c1b0c4fdbaf8d4bba4d)

diff --git a/gcc/testsuite/gcc.dg/pr96579.c b/gcc/testsuite/gcc.dg/pr96579.c
index 49fdcb40359..982f8ac17a5 100644
--- a/gcc/testsuite/gcc.dg/pr96579.c
+++ b/gcc/testsuite/gcc.dg/pr96579.c
@@ -1,4 +1,4 @@
-/* { dg-do compile } */
+/* { dg-do compile { target dfp } } */
 /* { dg-options "-O -fno-tree-forwprop -ffast-math -fno-tree-vrp" } */
 
 #include "pr96370.c"

